

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import '../constant/constant.dart';

class Copy extends StatefulWidget {
  String quote;
  bool eName;
  Copy({Key? key, required this.quote, this.eName = false}) : super(key: key);

  @override
  _CopyState createState() => _CopyState();
}

class _CopyState extends State<Copy> {
  String name = "Copy";
  var icon = Icons.copy;
  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {
        Clipboard.setData(ClipboardData(text: widget.quote));
        setState(() {
          name = "Copied!";
          icon = Icons.check_circle;
          Future.delayed(Duration(milliseconds: 3000), () {
            setState(() {
              name = "Copy";
              icon = Icons.copy;
            });
          });
        });
      },
      child: !widget.eName
          ? Icon(
              icon,
              size: 25,
            )
          : Text(
              name,
              style: TextStyle(fontSize: 20, color: primarycolour),
            ),
    );
  }
}
